taffybar-4.0.2: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) Ivan Malison
License | BSD3-style (see LICENSE)
Maintainer | Ivan Malison <IvanMalison@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Widget.Layout

Contents

- Usage

Description

Simple text widget that shows the XMonad layout used in the currently active workspace, and that allows to change it by clicking with the mouse: left-click to switch to the next layout in the list, right-click to switch to the first one (as configured in `xmonad.hs`)

Synopsis

- newtype LayoutConfig = LayoutConfig {
  - formatLayout :: Text -> TaffyIO Text
  }
- defaultLayoutConfig :: LayoutConfig
- layoutNew :: LayoutConfig -> TaffyIO Widget

# Usage

This widget requires that the System.Taffybar.Support.PagerHints hook be installed in your `xmonad.hs`:

    import System.Taffybar.Support.PagerHints (pagerHints)
    main = do
      xmonad $ ewmh $ pagerHints $ defaultConfig
    ...

Once you've properly configured `xmonad.hs`, you can use the widget in your `taffybar.hs` file:

    import System.Taffybar.Widget.Layout
    main = do
      let los = layoutSwitcherNew def

now you can use `los` as any other Taffybar widget.

newtype LayoutConfig Source #

Constructors

LayoutConfig |

Fields

- formatLayout :: Text -> TaffyIO Text

#### Instances

Instances details

Default LayoutConfig Source # |
Instance details Defined in System.Taffybar.Widget.Layout Methods def :: LayoutConfig #

defaultLayoutConfig :: LayoutConfig Source #

layoutNew :: LayoutConfig -> TaffyIO Widget Source #

Create a new Layout widget that will use the given Pager as its source of events.